# assert_tree_match

asdf.tests.helpers.assert_tree_match(old_tree, new_tree, ctx=None, funcname='assert_equal', ignore_keys=None)

  Assert that two ASDF trees match.

  Parameters
    old_tree ASDF tree
    new_tree ASDF tree
    ctx ASDF file context

      Used to look up the set of types in effect.

    funcname `str` or `callable`

      The name of a method on members of old_tree and new_tree that will be used to compare custom objects. The default of `assert_equal` handles Numpy arrays.

    ignore_keys list of str

      List of keys to ignore